Bug 208817 - ata_piix (sata) and ide drive detection should just work.
ata_piix (sata) and ide drive detection should just work.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-10-02 02:55 EDT by Rodd Clarkson
Modified: 2013-07-02 22:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-05 19:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2006-10-02 02:55:17 EDT
Description of problem:

This is basically a cut and paste from a recent thread on fedora-test-list.  It
pretty much cuts to the heart of the problem.

I'm having problems getting my Dell Inspiron 9300 to see my DVD-RW as a
SATA device (/dev/sdb[x]) instead of a IDE device (/dev/hdb[x]).

This seriously impedes performance of the drive.

Having done a little searching around the Internet (what a tool!) it
appears the problem may be that both the ide and ata_piix drivers are
included in the kernel as modules and that this results in the ata_piix
driver installing before the ide driver and as such the DVD-RW drive is
then seen as an IDE device.

It's suggested that the ide driver be compiled into the kernel so that
is installs first which results in the ata_piix driver then picking up
the DVD-RW drive and getting it Right(TM).

Can someone interpret what I'm saying (;-]) and then comment on how
these two drivers are included in the kernel and whether or not this
might affect the outcomes.

Alternatively, can someone suggest another fix for this.

Follow up:

 > >  > >  > kernel parameters:
 > >  > >  > libata atapi_enabled=1 ide hdc=noprobe
 > >  > > Asides from the hdc=noprobe, the rest of the command line does nothing
 > >  > > in current kernels.  libata.atapi_enabled=1 *used* to do something,
 > >  > > but now that's the default (Also you missed the all important '.').
 > >  > > And 'ide' doesn't do anything, and never did afair.
 > >  > 
 > >  > I hate to ask this question, but why do I need to manually supply a
 > >  > command line argument for this to 'Just Work'?
 > > 
 > > It's a bug.  You're correct in thinking that it should "just work".
 > 
 > Thanks Dave.  I take it someone is working on fixing this bug?  Is there
 > a bugzilla entry somewhere I could track?

Doesn't ring a bell, and it doesn't show up on the SATA bug tracker list..
(https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FCMETA_SATA)
Though that's fallen a bit by the wayside in recent times, so there may
be SATA bugs that aren't listed on there.

It won't hurt to file a new one.

        Dave


Version-Release number of selected component (if applicable):

Current kernels in rawhide and fc5
Comment 1 Dave Jones 2007-04-23 14:54:53 EDT
Does the current boot.iso detect drives correctly ?
Comment 2 Rodd Clarkson 2007-06-04 05:41:44 EDT
Everything worked great with the F7 installer, so I guess it works correctly now.

Thanks for addressing and fixing this Dave.
Comment 3 Bug Zapper 2008-04-03 14:23:46 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.